<!-- This is part of CGI:IRC 0.5
  == http://cgiirc.sourceforge.net/
  == Copyright (C) 2000-2006 David Leadbeater <cgiirc@dgl.cx>
  == Released under the GNU GPL
  -->

<html>
<head>
<script language="JavaScript"><!--
function setjs() {
 if(navigator.product == 'Gecko') {
   document.loginform["interface"].value = 'mozilla';
 }else if(window.opera && document.childNodes) {
   document.loginform["interface"].value = 'opera7';
 }else if(navigator.appName == 'Microsoft Internet Explorer' &&
    navigator.userAgent.indexOf("Mac_PowerPC") > 0) {
    document.loginform["interface"].value = 'konqueror';
 }else if(navigator.appName == 'Microsoft Internet Explorer' &&
 document.getElementById && document.getElementById('ietest').innerHTML) {
   document.loginform["interface"].value = 'ie';
 }else if(navigator.appName == 'Konqueror') {
    document.loginform["interface"].value = 'konqueror';
 }else if(window.opera) {
   document.loginform["interface"].value = 'opera';
 }
}
function setcharset() {
        if(document.charset && document.loginform["Character set"]) {
                var opt = document.createElement("option")
                opt.value = document.charset
                document.loginform['Character set'].appendChild(opt)

        }
}
function selectOther(sel) {
  if(sel.value == '_Other...') {
    var opt=document.createElement('option')
    if(opt.value=prompt(sel.name.replace(/_/, ' '), '')) {
      opt.appendChild(document.createTextNode(opt.value))
      sel.insertBefore(opt, sel.lastChild)
      sel.selectedIndex=sel.length-2
    } else {
      sel.selectedIndex=0
    }
  }
}
//-->
</script>
<title>CGI:IRC Login</title>
</head>
<style>
body {
        margin: 0;
        padding: 0;
        background: transparent;
        font: 11pt/1.5 sans-serif;
}
</style>
<body bgcolor="#ffffff" text="#000000" onload="setcharset();">
<center>
<h2>WebChat DebConf11</h2>
<form method="post" action="http://thegrebs.com/oftc/irc.cgi" name="loginform" onsubmit="setjs()">

<input type="hidden" name="interface" value="nonjs">
<input type="hidden" name="Server" value="irc.oftc.net">
<input type="hidden" name="Channel" value="#debconf-auditorium,#debconf-roundroom">
<label>Nickname: <input type="text" name="Nickname" value=""></label>
<input type="submit" value="Login" style="background-color: #d9d9d9">
</form><small><p>Use <b>/nick</b> <i>Nickname</i> to change.</p></small></center>
<span style="font-size: 8px;">Powered by <a href="http://cgiirc.sourceforge.net/">CGI:IRC</a></span>

</body></html>
